%define anolis_release 1
%global tarname setproctitle

Name:           python-setproctitle
Version:        1.3.2
Release:   	%{anolis_release}%{?dist}
Summary:        Python module to customize a process title

License:        BSD
URL:            http://pypi.python.org/pypi/%{tarname}
Source0:	https://files.pythonhosted.org/packages/b5/47/ac709629ddb9779fee29b7d10ae9580f60a4b37e49bce72360ddf9a79cdc/%{tarname}-%{version}.tar.gz

BuildRequires:  gcc

%global _description\
Python module allowing a process to change its title as displayed by\
system tool such as ps and top.\
\
It's useful in multiprocess systems, allowing to identify tasks each forked\
process is busy with. This technique has been used by PostgreSQL and OpenSSH.\
\
It's based on PostgreSQL implementation which has proven to be portable.\
\


%description %_description

%package -n python3-%{tarname}
Summary:        Python module to customize a process title
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Tests
BuildRequires:  python3-pytest
BuildRequires:  procps-ng

%description -n python3-%{tarname}
Python module allowing a process to change its title as displayed by
system tool such as ps and top.

It's useful in multi-process systems, allowing to identify tasks each forked
process is busy with. This technique has been used by PostgreSQL and OpenSSH.

It's based on PostgreSQL implementation which has proven to be portable.

%package -n python3-%{tarname}-doc
Summary: 	doc files for python3-%{tarname}
Requires: 	python3-%{tarname} = %{version}-%{release}
BuildArch:  	noarch

%description -n python3-%{tarname}-doc
doc files for python3-%{tarname}

%prep
%autosetup -n %{tarname}-%{version} -p1


%build
%py3_build

%install
%py3_install

%check
%pytest


%files -n python3-%{tarname}
%license COPYRIGHT
%{python3_sitearch}/%{tarname}
%{python3_sitearch}/%{tarname}*.egg-info

%files -n python3-%{tarname}-doc
%doc README.rst

%changelog
* Tue Mar 21 2023 happy_orange <songnannan@linux.alibaba.com> - 1.3.2-1
- package init from upstream
